xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Opened 5 years ago

Closed 5 years ago

Last modified 5 months ago

#1175 closed defect (fixed)

0.16.3: lossy encoding on local attach

Reported by: onlyjob Owned by: onlyjob
Priority: minor Milestone: 0.17
Component: encodings Version: 0.16.x
Keywords: Cc:

Description

When I attach to local session (xpra attach :22) lossy encoding is used which manifests with visual artefacts.

Why not use loseless encoding like raw RGB by default on local connection?
It works faster and it used to be default behaviour in previous versions of Xpra.

I can override current behaviour if I attach with --no-mmap or with --encoding rgb.

Attachments (1)

bug-report.txt (88.9 KB) - added by Antoine Martin 5 years ago.
moving the large bug report data to an attachment

Download all attachments as: .zip

Change History (10)

comment:1 Changed 5 years ago by Antoine Martin

Owner: changed from Antoine Martin to onlyjob

Local connections should be using mmap, unless you use --no-mmap. And why would you? I really don't see why it would have the opposite effect.

Lossy encodings are unlikely to be used over a fast local connection, though they may get used for the first few frames.

comment:2 Changed 5 years ago by onlyjob

Maybe it is just those first few frames but effect is quite obvious.

I had to resort to --no-mmap in order to enforce loseless encoding to get rid of visual artefacts as well as to confirm the nature of the problem.
Before 0.16 I did not see visual artefacts on local connections...

comment:3 Changed 5 years ago by Antoine Martin

Like I said, this does not make any sense.
mmap is lossless, always.
Whatever you're doing, you're not really telling - no command lines or versions, no bug report data, etc.. so I will probably close this as needinfo.

comment:4 Changed 5 years ago by onlyjob

If mmap is loseless then why do I see artefacts that disappear with --encoding rgb? Apparently mmap is _not_ loseless, not anymore, not in 0.16.

Whatever you're doing, you're not really telling - no command lines or versions, no bug report data, etc.. so I will probably close this as needinfo.


Frankly that kind of attitude discourages me from reporting Xpra bugs. Why do we have to do this dance every time? I already told you everything relevant about the problem. I start local server xpra start :22 and an application in it (e.g. Firefox). I attach as simple as xpra attach :22 and observe grey menu entries (Encoding, Quality, Speed, etc) that makes me think that mmap mode is in use. When I scroll a page in Firefox I see visual distortion that was not there in 0.15 and earlier and that disappear if I explicitly enforce loseless encoding. I don't know why it doesn't make sense to you and I have no time to deal with denial. Now when I repeated myself I hope it really helped to better understand the problem. I have nothing more to add but I can answer your questions or try something that you might have to suggest...

comment:5 Changed 5 years ago by Antoine Martin

If mmap is loseless then why do I see artefacts that disappear with --encoding rgb?


That will be because you are not using mmap in the first place.
Like I said, mmap is always lossless - as it cannot be any other way. "rgb via mmap" is the encoding.

Having the command output or even just xpra info would probably be enough to confirm that.
Here are mine which shows that everything is working as it should:

$ xpra attach |& grep mmap
enabled fast mmap transfers using 256MB shared memory area
 no need for scaling with mmap
$ xpra info | grep mmap=
network.mmap=True
window.1.mmap=True
window.1.total_frames.mmap=6
window.1.total_pixels.mmap=460065


Frankly that kind of attitude discourages me from reporting Xpra bugs.


Well, that escalated quickly.


Why do we have to do this dance every time?


Everybody does. You are not special.

I don't have time to try to figure out the details people aren't giving me. If I try and it works, I assume you're leaving something out or just doing it wrong.

I already told you everything relevant about the problem.


Blatantly not: pretty much every single item found on the wiki/ReportingBugs guidelines is missing.

Last edited 5 years ago by Antoine Martin (previous) (diff)

comment:6 Changed 5 years ago by onlyjob

xpra attach :22 |& grep mmap
2016-04-19 18:27:14,747 enabled fast mmap transfers using 256MB shared memory area
2016-04-19 18:27:14,771  no need for scaling with mmap
xpra info | grep mmap=
network.mmap=True
window[8].encoding.mmap=True
window[110].encoding.mmap=True


You are not special.


Nope. Everyone is special. :)

pretty much every single item found on the wiki/ReportingBugs guidelines is missing.


Noted. See below (keyboard mapping information omitted).

System: Xpra version, platform and host information
argv                             : ['/usr/bin/xpra', 'attach', ':22']
config.auto-refresh-delay        : 0.15
config.av-sync                   : on
config.clipboard                 : yes
config.compression_level         : 1
config.compressors               : lz4, lzo, zlib
config.csc-modules               : all
config.dbus-control              : True
config.dbus-proxy                : yes
config.desktop-scaling           : auto
config.displayfd                 : yes
config.encodings                 : all
config.env                       : ["#avoid Ubuntu's global menu, which is a mess and cannot be forwarded:", 'UBUNTU_MENUPROXY=', 'QT_X11_NO_NATIVE_MENUBAR=1', "#fix for MainSoft's MainWin buggy window management:", 'MWNOCAPTURE=true', 'MWNO_RIT=true', 'MWWM=allwm']
config.exit-with-children        : no
config.file-size-limit           : 10
config.file-transfer             : yes
config.idle-timeout              : 0
config.input-method              : none
config.key-shortcut              : ['Meta+Shift+F1:show_menu', 'Meta+Shift+F2:show_start_new_command', 'Meta+Shift+F3:show_bug_report', 'Meta+Shift+F4:quit', 'Meta+Shift+F5:increase_quality', 'Meta+Shift+F6:decrease_quality', 'Meta+Shift+F7:increase_speed', 'Meta+Shift+F8:decrease_speed', 'Meta+Shift+F10:magic_key', 'Meta+Shift+F11:show_session_info', 'Meta+Shift+plus:scaleup', 'Meta+Shift+plusminus:scaleup', 'Meta+Shift+minus:scaledown', 'Meta+Shift+underscore:scaledown', 'Meta+Shift+emdash:scaledown', 'Meta+Shift+KP_Add:scaleup', 'Meta+Shift+KP_Subtract:scaledown', 'Meta+Shift+KP_Multiply:scalereset', 'Meta+Shift+degree:scalereset']
config.keyboard-sync             : no
config.log-dir                   : ~/.xpra
config.log-file                  : $DISPLAY.log
config.lpadmin                   : /usr/sbin/lpadmin
config.lpinfo                    : /usr/sbin/lpinfo
config.mdns                      : yes
config.microphone                : off
config.min-quality               : 30
config.min-speed                 : 0
config.mmap                      : yes
config.mmap-group                : no
config.notifications             : yes
config.open-files                : no
config.opengl                    : auto
config.packet-encoders           : rencode, bencode, yaml
config.pdf-printer               : 
config.pings                     : no
config.postscript-printer        : 
config.printing                  : True
config.pulseaudio                : yes
config.pulseaudio-command        : pulseaudio --start --daemonize=false --system=false --exit-idle-time=-1 -n --load=module-suspend-on-idle --load=module-null-sink --load=module-native-protocol-unix --log-level=2 --log-target=stderr
config.quality                   : auto
config.remote-logging            : no
config.server-idle-timeout       : 0
config.shadow-fullscreen         : no
config.sharing                   : no
config.socket-dirs               : ~/.xpra
config.socket-permissions        : 600
config.speaker                   : off
config.speed                     : auto
config.ssh                       : ssh -x
config.start                     : /etc/X11/Xsession true
config.start-new-commands        : no
config.sync-xvfb                 : 0
config.system-tray               : yes
config.title                     : @title@ on @client-machine@
config.tray                      : yes
config.video-decoders            : all
config.video-encoders            : all
config.video-scaling             : on
config.wm-name                   : Xpra
config.xvfb                      : Xorg -noreset -nolisten tcp +extension GLX +extension RANDR +extension RENDER -auth $XAUTHORITY -logfile ${HOME}/.xpra/Xorg.${DISPLAY}.log -configdir ${HOME}/.xpra/xorg.conf.d -config /etc/xpra/xorg.conf
display.clipboard_persistence    : True
display.composite                : True
display.cursor_alpha             : True
display.cursor_color             : True
display.default_cursor_size      : 24
display.device[0]                : Virtual core XTEST pointer
display.device[1]                : SteelSeries Rival Gaming Mouse
display.device[2]                : SteelSeries Rival Gaming Mouse
display.device[3]                : Corsair Corsair K70R Gaming Keyboard
display.device[4]                : Core Pointer
display.devices                  : 5
display.maximal_cursor_size      : (64, 64)
display.name                     : :0
display.pointer                  : (1188, 974)
display.pointer_is_grabbed       : False
display.root                     : (0, 0, 2560, 1440, 24)
display.root-size                : (2560, 1440)
display.screen[0].fontoptions.antialias : subpixel
display.screen[0].fontoptions.hint_metrics : on
display.screen[0].fontoptions.hint_style : medium
display.screen[0].fontoptions.subpixel_order : RGB
display.screen[0].height         : 1440
display.screen[0].height_mm      : 381
display.screen[0].monitor[0].height : 1440
display.screen[0].monitor[0].height_mm : 336
display.screen[0].monitor[0].plug_name : DVI-0
display.screen[0].monitor[0].width : 2560
display.screen[0].monitor[0].width_mm : 597
display.screen[0].monitor[0].x   : 0
display.screen[0].monitor[0].y   : 0
display.screen[0].monitors       : 1
display.screen[0].name           : :0.0
display.screen[0].primary_monitor : 0
display.screen[0].resolution     : 96
display.screen[0].rgb.bits_per_rgb : 8
display.screen[0].rgb.byte_order : LSB
display.screen[0].rgb.colormap_size : 256
display.screen[0].rgb.depth      : 24
display.screen[0].rgb.visual_type : TRUE_COLOR
display.screen[0].rgba.bits_per_rgb : 8
display.screen[0].rgba.byte_order : LSB
display.screen[0].rgba.colormap_size : 256
display.screen[0].rgba.depth     : 32
display.screen[0].rgba.visual_type : TRUE_COLOR
display.screen[0].root           : (0, 0, 2560, 1440, 24)
display.screen[0].settings.antialias : 1
display.screen[0].settings.dpi   : 98304
display.screen[0].settings.hinting : 1
display.screen[0].settings.hintstyle : hintmedium
display.screen[0].settings.rgba  : rgb
display.screen[0].system_visual.bits_per_rgb : 8
display.screen[0].system_visual.byte_order : LSB
display.screen[0].system_visual.colormap_size : 256
display.screen[0].system_visual.depth : 24
display.screen[0].system_visual.visual_type : TRUE_COLOR
display.screen[0].visuals        : 480
display.screen[0].width          : 2560
display.screen[0].width_mm       : 677
display.screens                  : 1
display.selection_notification   : True
display.shapes                   : True
env.CCACHE_COMPRESS              : 1
env.CINNAMON_VERSION             : 2.8.7
env.CLUTTER_BACKEND              : x11
env.COLORFGBG                    : 15;0
env.COMP_WORDBREAKS              :  	\n"'><;|&(:
env.DBUS_SESSION_BUS_ADDRESS     : unix:abstract=/tmp/dbus-1unsMkmQPd,guid=7d0deb5ff7078b677c8cb44c570e104f
env.DEBEMAIL                     : onlyjob@debian.org
env.DEBFULLNAME                  : Dmitry Smirnov
env.DESKTOP_SESSION              : cinnamon
env.DISPLAY                      : :0
env.DM_CONTROL                   : /var/run/xdmctl
env.GIO_LAUNCHED_DESKTOP_FILE    : /home/hawk/.cinnamon/panel-launchers/cinnamon-custom-launcher-1.desktop
env.GIO_LAUNCHED_DESKTOP_FILE_PID : 5402
env.GJS_DEBUG_OUTPUT             : stderr
env.GJS_DEBUG_TOPICS             : JS ERROR;JS LOG
env.GNOME_DESKTOP_SESSION_ID     : this-is-deprecated
env.GPG_AGENT_INFO               : /home/hawk/.gnupg/S.gpg-agent:0:1
env.GTK_MODULES                  : gtk-vector-screenshot:gail:atk-bridge
env.HOME                         : /home/hawk
env.KDEVARTMP                    : /tmp
env.KONSOLE_DBUS_SERVICE         : :1.146
env.KONSOLE_DBUS_SESSION         : /Sessions/33
env.KONSOLE_DBUS_WINDOW          : /Windows/1
env.KONSOLE_PROFILE_NAME         : Shell
env.LANG                         : en_AU.UTF-8
env.LANGUAGE                     : 
env.LOGNAME                      : hawk
env.LS_COLORS                    : rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:
env.MONKEYSPHERE_VALIDATION_AGENT_SOCKET : http://127.0.0.1:38000
env.OLDPWD                       : /mnt/r/home/hawk.deblab
env.PATH                         : /usr/lib/ccache:/home/hawk/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
env.PROFILEHOME                  : 
env.PS1                          : [\D{%Y-%m-%d %R:%S}]\[\e]0;\u@\h: \w\a\]${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:0\[\033[01;34m\]\w\[\033[00m\]\[\033[1;33m\]$(__git_ps1 "(%s)")\[\033[0;37m\]\$ 
env.PWD                          : /home/hawk
env.QT_ACCESSIBILITY             : 1
env.QT_LINUX_ACCESSIBILITY_ALWAYS_ON : 1
env.QT_STYLE_OVERRIDE            : gtk
env.RAR                          : -isnd -m5 -rr3p -t
env.SESSION_MANAGER              : local/deblab:@/tmp/.ICE-unix/4309,unix/deblab:/tmp/.ICE-unix/4309
env.SHELL                        : /bin/bash
env.SHELL_SESSION_ID             : 1368bba22f074000ac55a5590423ef47
env.SHLVL                        : 1
env.SOX_OPTS                     : -V -S --no-clobber
env.SSH_AGENT_PID                : 4370
env.SSH_AUTH_SOCK                : /run/user/1000/keyring/ssh
env.TERM                         : xterm-256color
env.USER                         : hawk
env.WINDOWID                     : 192937989
env.WINDOWPATH                   : 7
env.XDG_CACHE_HOME               : /tmp/chromium-cache.hawk
env.XDG_CURRENT_DESKTOP          : X-Cinnamon
env.XDG_DATA_DIRS                : /usr/share/gnome:/usr/local/share/:/usr/share/
env.XDG_RUNTIME_DIR              : /run/user/1000
env.XDG_SEAT                     : seat0
env.XDG_SESSION_ID               : 24
env.XDG_VTNR                     : 7
env.XDM_MANAGED                  : method=classic
env.XZ_OPT                       : -6v
env._                            : /usr/bin/xpra
exec_prefix                      : /usr
executable                       : /usr/bin/python
gtk.cairo.version                : 1.8.8
gtk.gdk.version                  : 2.24.0
gtk.glib.version                 : (2, 48, 0)
gtk.gobject.version              : (2, 28, 6)
gtk.gtk.version                  : (2, 24, 30)
gtk.pango.version                : 1.38.1
gtk.pyglib.version               : (2, 28, 6)
gtk.pygtk.version                : (2, 24, 0)
gui.antialias.contrast           : 1600
gui.antialias.enabled            : True
gui.antialias.hinting            : True
gui.antialias.hintstyle          : hintmedium
gui.antialias.orientation        : RGB
gui.cursor_size                  : 0
gui.desktop_names                : ['Workspace 1', 'Workspace 2']
gui.desktops                     : 2
gui.double_click.distance        : (-1, -1)
gui.double_click.time            : 400
gui.dpi.randr                    : (96, 96)
gui.dpi.x                        : 96
gui.dpi.xsettings                : 96
gui.dpi.y                        : 96
gui.fixed_cursor_size            : (-1, -1)
gui.icon_size                    : 16
gui.native_notifiers             : ['DBUS_Notifier_factory', 'PyNotify_Notifier']
gui.native_system_trays          : []
gui.native_tray_menu_helpers     : []
gui.native_trays                 : []
gui.system_bell                  : system_bell
gui.vertical-refresh             : 60
gui.workarea                     : (0, 25, 2560, 1415)
gui.workareas                    : []
gui.xsettings.Fontconfig/Timestamp : 1460700486
gui.xsettings.Gdk/UnscaledDPI    : 98304
gui.xsettings.Gdk/WindowScalingFactor : 1
gui.xsettings.Gtk/AutoMnemonics  : 1
gui.xsettings.Gtk/ButtonImages   : 0
gui.xsettings.Gtk/CanChangeAccels : 0
gui.xsettings.Gtk/ColorPalette   : black:white:gray50:red:purple:blue:light blue:green:yellow:orange:lavender:brown:goldenrod4:dodger blue:pink:light green:gray10:gray30:gray75:gray90
gui.xsettings.Gtk/ColorScheme    : 
gui.xsettings.Gtk/CursorBlinkTimeout : 10
gui.xsettings.Gtk/CursorThemeName : oxy-desert
gui.xsettings.Gtk/CursorThemeSize : 24
gui.xsettings.Gtk/DecorationLayout : menu:minimize,maximize,close
gui.xsettings.Gtk/EnableAnimations : 1
gui.xsettings.Gtk/FontName       : Sans 9
gui.xsettings.Gtk/IMModule       : 
gui.xsettings.Gtk/IMPreeditStyle : callback
gui.xsettings.Gtk/IMStatusStyle  : callback
gui.xsettings.Gtk/KeyThemeName   : Default
gui.xsettings.Gtk/MenuBarAccel   : F10
gui.xsettings.Gtk/MenuImages     : 1
gui.xsettings.Gtk/Modules        : 
gui.xsettings.Gtk/RecentFilesEnabled : 1
gui.xsettings.Gtk/RecentFilesMaxAge : 4294967295
gui.xsettings.Gtk/ShellShowsAppMenu : 0
gui.xsettings.Gtk/ShellShowsMenubar : 0
gui.xsettings.Gtk/ShowInputMethodMenu : 1
gui.xsettings.Gtk/ShowUnicodeMenu : 1
gui.xsettings.Gtk/TimeoutInitial : 200
gui.xsettings.Gtk/TimeoutRepeat  : 20
gui.xsettings.Gtk/ToolbarIconSize : large
gui.xsettings.Gtk/ToolbarStyle   : both-horiz
gui.xsettings.Net/CursorBlink    : 1
gui.xsettings.Net/CursorBlinkTime : 1200
gui.xsettings.Net/DndDragThreshold : 8
gui.xsettings.Net/DoubleClickTime : 400
gui.xsettings.Net/EnableEventSounds : 1
gui.xsettings.Net/EnableInputFeedbackSounds : 0
gui.xsettings.Net/FallbackIconTheme : gnome
gui.xsettings.Net/IconThemeName  : Adwaita
gui.xsettings.Net/SoundThemeName : freedesktop
gui.xsettings.Net/ThemeName      : Adwaita
gui.xsettings.Xft/Antialias      : 1
gui.xsettings.Xft/DPI            : 98304
gui.xsettings.Xft/HintStyle      : hintmedium
gui.xsettings.Xft/Hinting        : 1
gui.xsettings.Xft/RGBA           : rgb
gui.xsettings.serial             : 2
host.byteorder                   : little
host.gid                         : 1000
host.hostname                    : deblab
host.pid                         : 84208
host.python.bits                 : 64
host.python.full_version         : 2.7.11+ (default, Mar 30 2016, 21:00:42) \n[GCC 5.3.1 20160323]
host.python.version              : 2.7.11
host.uid                         : 1000
path                             : ['/usr/bin', '/usr/bin', '/usr/bin', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/home/hawk/.local/lib/python2.7/site-packages', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/wx-3.0-gtk2']
paths.app.default.dir            : /usr/share/xpra
paths.app.dir                    : /usr/share/xpra
paths.default_conf.dirs          : []
paths.download.dir               : ~/Downloads
paths.home                       : /home/hawk
paths.icons                      : /usr/share/xpra/icons
paths.install.prefix             : /usr
paths.log.dir                    : ~/.xpra
paths.resources                  : /usr/share/xpra
paths.socket.dirs                : ['~/.xpra', '/var/run/user/$UID/xpra', '/var/run/xpra']
paths.sound_command              : ['xpra']
paths.system_conf.dirs           : ['/etc/xpra']
paths.user_conf.dirs             : ['~/.xpra']
platform                         : linux2
platform.architecture            : ('64bit', 'ELF')
platform.linux_distribution      : ('debian', 'stretch/sid', '')
platform.machine                 : x86_64
platform.name                    : Linux debian stretch/sid
platform.platform                : Linux-4.4.0-1-amd64-x86_64-with-debian-stretch-sid
platform.processor               : Intel(R) Core(TM) i7-4820K CPU @ 3.70GHz
platform.release                 : 4.4.0-1-amd64
user.name                        : hawk
user.username                    : hawk
version.local_modifications      : 0.16.3+dfsg-1
version.revision                 : 12205
version.version                  : 0.16.3

Network: Compression, packet encoding and encryption
bencode                          : True
bencode.version                  : ('Cython', 0, 12)
compressors                      : ['zlib', 'lz4', 'lzo']
digest                           : ('hmac', 'xor')
encoders                         : ['bencode', 'rencode', 'yaml']
interfaces                       : ['lo', 'net0', 'net1', 'bond0', 'tap0', 'br0']
lz4                              : True
lz4.version                      : r119
lzo                              : True
lzo.version                      : 2.08
mmap                             : True
padding.options                  : ['PKCS#7', 'legacy']
pycrypto                         : True
pycrypto.fastmath                : True
pycrypto.version                 : 2.6.1
python-lz4.version               : 0.7.0
python-lzo.version               : 1.08
rencode                          : True
rencode.version                  : ('Cython', 1, 0, 4)
yaml                             : True
yaml.version                     : 3.11
zlib                             : True
zlib.version                     : 1.0

Encodings: Picture encodings supported
PIL                              : 3.1.1
avcodec2                         : (56, 60, 100)
buffer_api                       : 1
cython                           : (1, '0', '23', '4')
dec_pillow                       : 3.1.1
dec_webp                         : (0, 4, 4)
numpy                            : 1.11.0
swscale                          : (3, 1, 101)
vpx                              : v1.5.0

Server Info: Full server information from 'xpra info'
antialias.contrast               : 1600
antialias.enabled                : 1
antialias.hinting                : 1
antialias.hintstyle              : hintmedium
antialias.orientation            : RGB
batch.delay.50p                  : 0
batch.delay.80p                  : 0
batch.delay.90p                  : 0
batch.delay.avg                  : 0
batch.delay.cur                  : 0
batch.delay.max                  : 0
batch.delay.min                  : 0
batch.locked                     : False
batch.max-delay                  : 500
batch.min-delay                  : 5
batch.timeout-delay              : 15000
child[0].command                 : /etc/X11/Xsession true
child[0].dead                    : True
child[0].forget                  : False
child[0].ignore                  : True
child[0].name                    : /etc/X11/Xsession true
child[0].pid                     : 215880
child[0].returncode              : 0
child[1].command                 : pulseaudio --start --daemonize=false --system=false --exit-idle-time=-1 -n --load=module-suspend-on-idle --load=module-null-sink --load=module-native-protocol-unix --log-level=2 --log-target=stderr
child[1].dead                    : True
child[1].forget                  : False
child[1].ignore                  : True
child[1].name                    : pulseaudio
child[1].pid                     : 215867
child[1].returncode              : 0
children                         : 2
children.dead                    : 2
children.ignored                 : 2
client.argv                      : ('/usr/bin/xpra', 'attach', ':22')
client.auto_refresh              : 150
client.av-sync.client.delay      : 0
client.av-sync.delta             : 0
client.av-sync.total             : 0
client.bell                      : True
client.clipboard                 : True
client.clipboard_notifications   : True
client.connection.active         : True
client.connection.compression_level : 1
client.connection.compressor     : lz4
client.connection.encoder        : rencode
client.connection.endpoint       : /home/hawk/.xpra/deblab-22
client.connection.has_more       : False
client.connection.info           : unix-domain
client.connection.input.bytecount : 150782
client.connection.input.cipher   : 
client.connection.input.cipher.padding : legacy
client.connection.input.count.buffer-refresh : 1
client.connection.input.count.button-action : 1
client.connection.input.count.clipboard-contents : 1
client.connection.input.count.clipboard-enable-selections : 1
client.connection.input.count.clipboard-token : 1
client.connection.input.count.configure-window : 1
client.connection.input.count.damage-sequence : 1
client.connection.input.count.desktop_size : 1
client.connection.input.count.focus : 1
client.connection.input.count.hello : 1
client.connection.input.count.info-request : 1
client.connection.input.count.key-action : 1
client.connection.input.count.map-window : 1
client.connection.input.count.ping : 62
client.connection.input.count.ping_echo : 35
client.connection.input.count.pointer-position : 1
client.connection.input.count.printers : 1
client.connection.input.count.server-settings : 1
client.connection.input.count.set_deflate : 1
client.connection.input.packetcount : 4088
client.connection.input.raw_packetcount : 4021
client.connection.large_packets  : ('hello', 'window-metadata', 'info-response')
client.connection.max_packet_size : 10486784
client.connection.output.bytecount : 2204938
client.connection.output.cipher  : 
client.connection.output.cipher.padding : legacy
client.connection.output.count.clipboard-pending-requests : 2
client.connection.output.count.clipboard-request : 1
client.connection.output.count.cursor : 20
client.connection.output.count.desktop_size : 1
client.connection.output.count.draw : 3117
client.connection.output.count.hello : 1
client.connection.output.count.info-response : 39
client.connection.output.count.lost-window : 1
client.connection.output.count.new-tray : 1
client.connection.output.count.new-window : 2
client.connection.output.count.notify_show : 1
client.connection.output.count.ping : 62
client.connection.output.count.ping_echo : 34
client.connection.output.count.server-event : 1
client.connection.output.count.set_deflate : 1
client.connection.output.count.startup-complete : 1
client.connection.output.count.window-icon : 2
client.connection.output.count.window-metadata : 1
client.connection.output.packetcount : 3288
client.connection.output.raw_packetcount : 3358
client.connection.receive_alias.1 : connection-lost
client.connection.receive_alias.10 : set-clipboard-enabled
client.connection.receive_alias.11 : set-notify
client.connection.receive_alias.12 : set-cursors
client.connection.receive_alias.13 : set-bell
client.connection.receive_alias.14 : printers
client.connection.receive_alias.15 : command_request
client.connection.receive_alias.16 : send-file
client.connection.receive_alias.17 : set-keyboard-sync-enabled
client.connection.receive_alias.18 : suspend
client.connection.receive_alias.19 : encoding
client.connection.receive_alias.2 : gibberish
client.connection.receive_alias.20 : desktop_size
client.connection.receive_alias.21 : focus
client.connection.receive_alias.22 : unmap-window
client.connection.receive_alias.23 : keymap-changed
client.connection.receive_alias.24 : rpc
client.connection.receive_alias.25 : min-speed
client.connection.receive_alias.26 : connection-lost
client.connection.receive_alias.27 : shutdown-server
client.connection.receive_alias.28 : speed
client.connection.receive_alias.29 : close-window
client.connection.receive_alias.3 : disconnect
client.connection.receive_alias.30 : exit-server
client.connection.receive_alias.31 : server-settings
client.connection.receive_alias.32 : disconnect
client.connection.receive_alias.33 : quality
client.connection.receive_alias.34 : invalid
client.connection.receive_alias.35 : set_deflate
client.connection.receive_alias.36 : print
client.connection.receive_alias.37 : key-repeat
client.connection.receive_alias.38 : layout-changed
client.connection.receive_alias.39 : sound-control
client.connection.receive_alias.4 : hello
client.connection.receive_alias.40 : screenshot
client.connection.receive_alias.41 : resume
client.connection.receive_alias.42 : sound-data
client.connection.receive_alias.43 : start-command
client.connection.receive_alias.44 : pointer-position
client.connection.receive_alias.45 : button-action
client.connection.receive_alias.46 : map-window
client.connection.receive_alias.47 : buffer-refresh
client.connection.receive_alias.48 : force-ungrab
client.connection.receive_alias.49 : info-request
client.connection.receive_alias.5 : invalid
client.connection.receive_alias.50 : configure-window
client.connection.receive_alias.51 : min-quality
client.connection.receive_alias.52 : gibberish
client.connection.receive_alias.53 : hello
client.connection.receive_alias.54 : key-action
client.connection.receive_alias.6 : ping
client.connection.receive_alias.7 : damage-sequence
client.connection.receive_alias.8 : ping_echo
client.connection.receive_alias.9 : logging
client.connection.receive_alias.buffer-refresh : 47
client.connection.receive_alias.button-action : 45
client.connection.receive_alias.close-window : 29
client.connection.receive_alias.command_request : 15
client.connection.receive_alias.configure-window : 50
client.connection.receive_alias.connection-lost : 26
client.connection.receive_alias.damage-sequence : 7
client.connection.receive_alias.desktop_size : 20
client.connection.receive_alias.disconnect : 32
client.connection.receive_alias.encoding : 19
client.connection.receive_alias.exit-server : 30
client.connection.receive_alias.focus : 21
client.connection.receive_alias.force-ungrab : 48
client.connection.receive_alias.gibberish : 52
client.connection.receive_alias.hello : 53
client.connection.receive_alias.info-request : 49
client.connection.receive_alias.invalid : 34
client.connection.receive_alias.key-action : 54
client.connection.receive_alias.key-repeat : 37
client.connection.receive_alias.keymap-changed : 23
client.connection.receive_alias.layout-changed : 38
client.connection.receive_alias.logging : 9
client.connection.receive_alias.map-window : 46
client.connection.receive_alias.min-quality : 51
client.connection.receive_alias.min-speed : 25
client.connection.receive_alias.ping : 6
client.connection.receive_alias.ping_echo : 8
client.connection.receive_alias.pointer-position : 44
client.connection.receive_alias.print : 36
client.connection.receive_alias.printers : 14
client.connection.receive_alias.quality : 33
client.connection.receive_alias.resume : 41
client.connection.receive_alias.rpc : 24
client.connection.receive_alias.screenshot : 40
client.connection.receive_alias.send-file : 16
client.connection.receive_alias.server-settings : 31
client.connection.receive_alias.set-bell : 13
client.connection.receive_alias.set-clipboard-enabled : 10
client.connection.receive_alias.set-cursors : 12
client.connection.receive_alias.set-keyboard-sync-enabled : 17
client.connection.receive_alias.set-notify : 11
client.connection.receive_alias.set_deflate : 35
client.connection.receive_alias.shutdown-server : 27
client.connection.receive_alias.sound-control : 39
client.connection.receive_alias.sound-data : 42
client.connection.receive_alias.speed : 28
client.connection.receive_alias.start-command : 43
client.connection.receive_alias.suspend : 18
client.connection.receive_alias.unmap-window : 22
client.connection.send_alias.1   : lost-window
client.connection.send_alias.10  : notify_show
client.connection.send_alias.11  : new-window
client.connection.send_alias.12  : hello
client.connection.send_alias.13  : window-metadata
client.connection.send_alias.14  : disconnect
client.connection.send_alias.15  : pointer-ungrab
client.connection.send_alias.16  : challenge
client.connection.send_alias.17  : invalid
client.connection.send_alias.18  : set_deflate
client.connection.send_alias.19  : pointer-grab
client.connection.send_alias.2   : configure-override-redirect
client.connection.send_alias.20  : connection-lost
client.connection.send_alias.21  : startup-complete
client.connection.send_alias.22  : gibberish
client.connection.send_alias.3   : draw
client.connection.send_alias.4   : notify_close
client.connection.send_alias.5   : bell
client.connection.send_alias.6   : new-override-redirect
client.connection.send_alias.7   : ping
client.connection.send_alias.8   : cursor
client.connection.send_alias.9   : ping_echo
client.connection.send_alias.bell : 5
client.connection.send_alias.challenge : 16
client.connection.send_alias.configure-override-redirect : 2
client.connection.send_alias.connection-lost : 20
client.connection.send_alias.cursor : 8
client.connection.send_alias.disconnect : 14
client.connection.send_alias.draw : 3
client.connection.send_alias.gibberish : 22
client.connection.send_alias.hello : 12
client.connection.send_alias.invalid : 17
client.connection.send_alias.lost-window : 1
client.connection.send_alias.new-override-redirect : 6
client.connection.send_alias.new-window : 11
client.connection.send_alias.notify_close : 4
client.connection.send_alias.notify_show : 10
client.connection.send_alias.ping : 7
client.connection.send_alias.ping_echo : 9
client.connection.send_alias.pointer-grab : 19
client.connection.send_alias.pointer-ungrab : 15
client.connection.send_alias.set_deflate : 18
client.connection.send_alias.startup-complete : 21
client.connection.send_alias.window-metadata : 13
client.connection.socket.family  : 1
client.connection.socket.fileno  : 19
client.connection.socket.proto   : 0
client.connection.socket.timeout : 0
client.connection.socket.type    : 1
client.connection.thread.format  : True
client.connection.thread.parse   : True
client.connection.thread.read    : True
client.connection.thread.write   : True
client.connection.type           : socket
client.connection_time           : 1461054434
client.cursors                   : True
client.desktop_names             : ('Workspace 1', 'Workspace 2')
client.desktop_size              : (2560, 1440)
client.desktop_size.unscaled     : (2560, 1440)
client.desktops                  : 2
client.double_click.distance     : (-1, -1)
client.double_click.time         : 400
client.elapsed_time              : 275
client.encoding.PIL.version      : 3.1.1
client.encoding.avcodec2.version : (56, 60, 100)
client.encoding.buffer_api.version : 1
client.encoding.client_options   : True
client.encoding.csc_atoms        : True
client.encoding.cython.version   : (1, '0', '23', '4')
client.encoding.dec_pillow.version : 3.1.1
client.encoding.dec_webp.version : (0, 4, 4)
client.encoding.default          : h264
client.encoding.delta_buckets    : 5
client.encoding.flush            : 1
client.encoding.full_csc_modes   : {'h264': ('ARGB', 'BGRA', 'BGRX', 'GBRP', 'RGB', 'XRGB', 'YUV420P', 'YUV422P', 'YUV444P'), 'h265': ('BGRX', 'GBRP', 'RGB', 'XRGB', 'YUV420P', 'YUV422P', 'YUV444P'), 'vp9': ('YUV420P', 'YUV444P'), 'vp8': ('YUV420P',)}
client.encoding.generic          : 1
client.encoding.h264.I420.profile : high10
client.encoding.h264.YUV420P.profile : high10
client.encoding.initial_quality  : 30
client.encoding.min-quality      : 30
client.encoding.min-speed        : 0
client.encoding.numpy.version    : 1.11.0
client.encoding.rgb24zlib        : 1
client.encoding.rgb_formats      : ('RGB', 'RGBX', 'RGBA')
client.encoding.rgb_lz4          : True
client.encoding.rgb_lzo          : True
client.encoding.rgb_zlib         : True
client.encoding.scaling.control  : 1
client.encoding.speed            : 0
client.encoding.supports_delta   : ('png', 'rgb24', 'rgb32')
client.encoding.swscale.version  : (3, 1, 101)
client.encoding.transparency     : True
client.encoding.video_reinit     : True
client.encoding.video_scaling    : True
client.encoding.video_separateplane : True
client.encoding.video_subregion  : True
client.encoding.vpx.version      : v1.5.0
client.encoding.webp_leaks       : False
client.encoding.x264.I420.profile : high10
client.encoding.x264.YUV420P.profile : high10
client.encodings                 : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb', 'jpeg', 'h265')
client.encodings.core            : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb24', 'jpeg', 'h265', 'rgb32', 'rgb')
client.file-size-limit           : 10
client.file_transfer             : True
client.hostname                  : deblab
client.icons.greedy              : 1
client.icons.max_size            : (128, 128)
client.icons.size                : (64, 64)
client.idle                      : False
client.idle_time                 : 214
client.last-ping-echo            : 4083
client.lz4                       : True
client.lzo                       : True
client.machine                   : x86_64
client.microphone.state          : inactive
client.named_cursors             : True
client.notifications             : True
client.platform                  : linux2
client.platform_name             : Linux 4.4.0-1-amd64
client.printers                  : {'PDF': {'printer-info': 'PDF', 'mimetypes': ('application/pdf', 'application/postscript'), 'device-uri': 'file:///dev/null'}, 'Brother_MFC-9460CDN_IPP-PS': {'printer-info': 'Brother_MFC-9460CDN_IPP-PS 1200', 'mimetypes': ('application/pdf', 'application/postscript'), 'device-uri': 'ipp://prn-mfc-9460cdn/POSTSCRIPT_P1'}, 'Brother_MFC-9460CDN_BINARY_P1': {'printer-info': 'Brother MFC-9460CDN PS 600', 'mimetypes': ('application/pdf', 'application/postscript'), 'device-uri': 'lpd://prn-mfc-9460cdn/BINARY_P1'}}
client.printing                  : True
client.processor                 : Intel(R) Core(TM) i7-4820K CPU @ 3.70GHz
client.proxy                     : False
client.pulseaudio_id             : 1000@eb36163c4c13abfd6c3c4e790000000a/4420
client.pulseaudio_server         : {eb36163c4c13abfd6c3c4e790000000a}unix:/run/user/1000/pulse/native
client.randr_notify              : True
client.release                   : 4.4.0-1-amd64
client.revision                  : 12205
client.screen[0].display         : :0.0
client.screen[0].monitor[0].geometry : (0, 0, 2560, 1440)
client.screen[0].monitor[0].name : DVI-0
client.screen[0].monitor[0].size_mm : (597, 336)
client.screen[0].size            : (2560, 1440)
client.screen[0].size_mm         : (677, 381)
client.screen[0].workarea        : (0, 25, 2560, 1415)
client.screens                   : 1
client.share                     : False
client.speaker.state             : inactive
client.suspended                 : False
client.system_tray               : True
client.type                      : Python/Gtk2
client.uuid                      : dcf1dad5fa3c32fb5243ff715568a6c860fa8ae3
client.version                   : 0.16.3
client.vertical-refresh          : 60
client.window.frame-sizes.frame  : (2, 2, 24, 2)
client.window.frame-sizes.offset : (2, 24)
client.windows                   : True
clients                          : 0
clients.unauthenticated          : 0
clipboard.CLIPBOARD.blocked_owner_change : False
clipboard.CLIPBOARD.enabled      : True
clipboard.CLIPBOARD.event.get_contents : 3718
clipboard.CLIPBOARD.event.got_token : 14
clipboard.CLIPBOARD.event.request_contents : 33
clipboard.CLIPBOARD.event.selection_clear : 6
clipboard.CLIPBOARD.event.selection_get : 33
clipboard.CLIPBOARD.event.selection_request : 33
clipboard.CLIPBOARD.event.sent_token : 0
clipboard.CLIPBOARD.greedy_client : False
clipboard.CLIPBOARD.have_token   : True
clipboard.PRIMARY.blocked_owner_change : False
clipboard.PRIMARY.enabled        : True
clipboard.PRIMARY.event.get_contents : 6090
clipboard.PRIMARY.event.got_token : 16
clipboard.PRIMARY.event.request_contents : 0
clipboard.PRIMARY.event.selection_clear : 10
clipboard.PRIMARY.event.selection_get : 0
clipboard.PRIMARY.event.selection_request : 0
clipboard.PRIMARY.event.sent_token : 0
clipboard.PRIMARY.greedy_client  : False
clipboard.PRIMARY.have_token     : True
clipboard.SECONDARY.blocked_owner_change : False
clipboard.SECONDARY.enabled      : True
clipboard.SECONDARY.event.get_contents : 0
clipboard.SECONDARY.event.got_token : 9
clipboard.SECONDARY.event.request_contents : 0
clipboard.SECONDARY.event.selection_clear : 0
clipboard.SECONDARY.event.selection_get : 0
clipboard.SECONDARY.event.selection_request : 0
clipboard.SECONDARY.event.sent_token : 0
clipboard.SECONDARY.greedy_client : False
clipboard.SECONDARY.have_token   : True
clipboard.filters                : ()
clipboard.max_size               : 4194304
clipboard.pending                : ()
clipboard.requests               : 33
clipboard.type                   : GDKClipboardProtocolHelper
clipboard.want_targets           : False
csc.BGRX_to_BGR                  : ('swscale',)
csc.BGRX_to_GBRP                 : ('swscale',)
csc.BGRX_to_RGB                  : ('swscale',)
csc.BGRX_to_XRGB                 : ('swscale',)
csc.BGRX_to_YUV420P              : ('swscale', 'cython')
csc.BGRX_to_YUV422P              : ('swscale',)
csc.BGRX_to_YUV444P              : ('swscale',)
csc.BGR_to_BGRX                  : ('swscale',)
csc.BGR_to_GBRP                  : ('swscale',)
csc.BGR_to_RGB                   : ('swscale',)
csc.BGR_to_XRGB                  : ('swscale',)
csc.BGR_to_YUV420P               : ('swscale',)
csc.BGR_to_YUV422P               : ('swscale',)
csc.BGR_to_YUV444P               : ('swscale',)
csc.GBRP_to_BGR                  : ('swscale',)
csc.GBRP_to_BGRX                 : ('swscale', 'cython')
csc.GBRP_to_RGB                  : ('swscale',)
csc.GBRP_to_RGBX                 : ('cython',)
csc.GBRP_to_XRGB                 : ('swscale',)
csc.GBRP_to_YUV420P              : ('swscale',)
csc.GBRP_to_YUV422P              : ('swscale',)
csc.GBRP_to_YUV444P              : ('swscale',)
csc.RGB_to_BGR                   : ('swscale',)
csc.RGB_to_BGRX                  : ('swscale',)
csc.RGB_to_GBRP                  : ('swscale',)
csc.RGB_to_XRGB                  : ('swscale',)
csc.RGB_to_YUV420P               : ('swscale',)
csc.RGB_to_YUV422P               : ('swscale',)
csc.RGB_to_YUV444P               : ('swscale',)
csc.XRGB_to_BGR                  : ('swscale',)
csc.XRGB_to_BGRX                 : ('swscale',)
csc.XRGB_to_GBRP                 : ('swscale',)
csc.XRGB_to_RGB                  : ('swscale',)
csc.XRGB_to_YUV420P              : ('swscale',)
csc.XRGB_to_YUV422P              : ('swscale',)
csc.XRGB_to_YUV444P              : ('swscale',)
csc.YUV420P_to_BGR               : ('swscale', 'cython')
csc.YUV420P_to_BGRX              : ('swscale', 'cython')
csc.YUV420P_to_RGB               : ('swscale', 'cython')
csc.YUV420P_to_RGBX              : ('cython',)
csc.YUV420P_to_XRGB              : ('swscale',)
csc.YUV420P_to_YUV422P           : ('swscale',)
csc.YUV420P_to_YUV444P           : ('swscale',)
csc.YUV422P_to_BGR               : ('swscale',)
csc.YUV422P_to_BGRX              : ('swscale',)
csc.YUV422P_to_RGB               : ('swscale',)
csc.YUV422P_to_XRGB              : ('swscale',)
csc.YUV422P_to_YUV420P           : ('swscale',)
csc.YUV422P_to_YUV444P           : ('swscale',)
csc.YUV444P_to_BGR               : ('swscale',)
csc.YUV444P_to_BGRX              : ('swscale',)
csc.YUV444P_to_GBRP              : ('swscale',)
csc.YUV444P_to_RGB               : ('swscale',)
csc.YUV444P_to_XRGB              : ('swscale',)
csc.YUV444P_to_YUV420P           : ('swscale',)
csc.YUV444P_to_YUV422P           : ('swscale',)
cursor.default_size              : 24
cursor.height                    : 32
cursor.is_default                : True
cursor.max_size                  : (64, 64)
cursor.name                      : left_ptr
cursor.position                  : (649, 294)
cursor.serial                    : 333
cursor.size                      : 0
cursor.width                     : 32
cursor.x                         : 1491
cursor.xhot                      : 4
cursor.y                         : 165
cursor.yhot                      : 4
damage.compression_queue.size.current : 0
damage.data_queue.size.50p       : 0
damage.data_queue.size.80p       : 0
damage.data_queue.size.90p       : 1
damage.data_queue.size.avg       : 0
damage.data_queue.size.cur       : 1
damage.data_queue.size.max       : 2
damage.data_queue.size.min       : 0
damage.events                    : 3142
damage.in_latency.90p            : 12
damage.in_latency.avg            : 4
damage.in_latency.cur            : 12
damage.in_latency.max            : 41
damage.in_latency.min            : 0
damage.out_latency.90p           : 15
damage.out_latency.avg           : 7
damage.out_latency.cur           : 16
damage.out_latency.max           : 91
damage.out_latency.min           : 0
damage.packet_queue.size.50p     : 0
damage.packet_queue.size.80p     : 0
damage.packet_queue.size.90p     : 1
damage.packet_queue.size.avg     : 0
damage.packet_queue.size.cur     : 1
damage.packet_queue.size.current : 0
damage.packet_queue.size.max     : 4
damage.packet_queue.size.min     : 0
damage.packets_sent              : 3117
dpi.default                      : 0
dpi.value                        : 96
dpi.x                            : 96
dpi.y                            : 96
encoding.BGRA_to_h264            : ('x264',)
encoding.BGRX_to_h264            : ('x264',)
encoding.BGR_to_h264             : ('x264',)
encoding.PIL.version             : 3.1.1
encoding.RGB_to_h264             : ('x264',)
encoding.YUV420P_to_h264         : ('x264',)
encoding.YUV420P_to_vp8          : ('vpx',)
encoding.YUV420P_to_vp9          : ('vpx',)
encoding.YUV422P_to_h264         : ('x264',)
encoding.YUV444P_to_h264         : ('x264',)
encoding.YUV444P_to_vp9          : ('vpx',)
encoding.buffer_api.version      : 1
encoding.csc-module.cython       : active
encoding.csc-module.swscale      : active
encoding.cython.version          : (1, '0', '23', '4')
encoding.decode_errors           : 0
encoding.enc_pillow.version      : 3.1.1
encoding.enc_webp.version        : (0, 4, 4)
encoding.numpy.version           : 1.11.0
encoding.pixels_encoded_per_second : 24134891
encoding.swscale.version         : (3, 1, 101)
encoding.video-encoder.vpx       : active
encoding.video-encoder.x264      : active
encoding.vpx.version             : v1.5.0
encoding.x264.version            : 148
encodings                        : ('rgb', 'h264', 'vp9', 'vp8', 'png', 'png/L', 'png/P', 'jpeg', 'webp')
encodings.allowed                : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb', 'rgb24', 'rgb32', 'jpeg', 'h265')
encodings.core                   : ('rgb24', 'rgb32', 'h264', 'vp9', 'vp8', 'png', 'png/L', 'png/P', 'jpeg', 'webp')
encodings.lossless               : ('rgb24', 'rgb32', 'png', 'png/L', 'png/P', 'webp')
encodings.problematic            : ()
encodings.with_lossless_mode     : ('webp', 'h264', 'vp9')
encodings.with_quality           : ('h264', 'vp9', 'vp8', 'jpeg', 'webp')
encodings.with_speed             : ('png/L', 'h264', 'vp9', 'vp8', 'rgb', 'png/P', 'png')
env.CCACHE_COMPRESS              : 1
env.COMP_WORDBREAKS              :  	\n"'><;|&(:
env.DBUS_SESSION_BUS_ADDRESS     : unix:abstract=/tmp/dbus-vLGULC0QWC,guid=487ae5ac8b45847e9c5e1cd1571484a2
env.DEBEMAIL                     : onlyjob@debian.org
env.DEBFULLNAME                  : Dmitry Smirnov
env.DISABLE_IMSETTINGS           : 1
env.DISPLAY                      : :22
env.GTK_IM_MODULE                : xim
env.HOME                         : /home/hawk
env.IMSETTINGS_MODULE            : none
env.KDEVARTMP                    : /tmp
env.LANG                         : en_AU.UTF-8
env.LOGNAME                      : hawk
env.LS_COLORS                    : rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:
env.MAIL                         : /var/mail/hawk
env.OLDPWD                       : /home/hawk
env.PATH                         : /usr/lib/ccache:/home/hawk/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
env.PS1                          : [\D{%Y-%m-%d %R:%S}]\[\e]0;\u@\h: \w\a\]${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:22\[\033[01;34m\]\w\[\033[00m\]\[\033[1;33m\]$(__git_ps1 "(%s)")\[\033[0;37m\]\$ 
env.PWD                          : /home/hawk
env.QT_IM_MODULE                 : xim
env.RAR                          : -isnd -m5 -rr3p -t
env.SHELL                        : /bin/bash
env.SHLVL                        : 3
env.SOX_OPTS                     : -V -S --no-clobber
env.SSH_CLIENT                   : 192.168.0.2 51358 22
env.SSH_CONNECTION               : 192.168.0.2 51358 192.168.0.204 22
env.SSH_TTY                      : /dev/pts/15
env.TERM                         : xterm-256color
env.TMUX                         : /tmp/tmux-1000/default,209269,0
env.TMUX_PANE                    : %0
env.USER                         : hawk
env.XDG_CACHE_HOME               : /tmp/chromium-cache.hawk
env.XDG_RUNTIME_DIR              : /run/user/1000
env.XDG_SESSION_TYPE             : x11
env.XMODIFIERS                   : @im=none
env.XZ_OPT                       : -6v
env._                            : /usr/bin/xpra
features.av-sync                 : True
features.bell                    : True
features.change-min-quality      : True
features.change-min-speed        : True
features.change-quality          : True
features.change-speed            : True
features.client_window_properties : True
features.clipboard               : True
features.clipboard.enable-selections : True
features.command_request         : True
features.cursors                 : True
features.dbus_proxy              : True
features.encoding.generic        : True
features.encoding.strict_control : True
features.event_request           : True
features.file-size-limit         : 10
features.idle_timeout            : 0
features.notifications           : True
features.notify-startup-complete : True
features.pulseaudio              : True
features.pulseaudio.command      : pulseaudio --start --daemonize=false --system=false --exit-idle-time=-1 -n --load=module-suspend-on-idle --load=module-null-sink --load=module-native-protocol-unix --log-level=2 --log-target=stderr
features.randr                   : True
features.rpc-types               : ('menu', 'dbus')
features.server-events           : True
features.sharing                 : False
features.sound.eos-sequence      : True
features.sound.ogg-latency-fix   : True
features.sound.server_driven     : True
features.sound_sequence          : True
features.suspend-resume          : True
features.toggle_cursors_bell_notify : True
features.toggle_keyboard_sync    : True
features.window-filters          : True
features.window_configure        : True
features.window_refresh_config   : True
features.window_unmap            : True
features.xsettings-tuple         : True
file.open                        : False
file.size-limit                  : 10
file.transfer                    : True
focused                          : 0
grabbed                          : 0
keyboard.enabled                 : True
keyboard.fast-switching          : True
network.bencode                  : True
network.bencode.version          : ('Cython', 0, 12)
network.compressors              : ('zlib', 'lz4', 'lzo')
network.digest                   : ('hmac', 'xor')
network.encoders                 : ('bencode', 'rencode', 'yaml')
network.encryption               : 
network.lz4                      : True
network.lz4.version              : r119
network.lzo                      : True
network.lzo.version              : 2.08
network.mmap                     : True
network.padding.options          : ('PKCS#7', 'legacy')
network.pycrypto                 : True
network.pycrypto.fastmath        : True
network.pycrypto.version         : 2.6.1
network.python-lz4.version       : 0.7.0
network.python-lzo.version       : 1.08
network.rencode                  : True
network.rencode.version          : ('Cython', 1, 0, 4)
network.tcp-encryption           : 
network.yaml                     : True
network.yaml.version             : 3.11
network.zlib                     : True
network.zlib.version             : 1.0
printing.enabled                 : True
printing.lpadmin                 : /usr/sbin/lpadmin
server.XShm                      : True
server.XTest                     : True
server.Xkb                       : True
server.argv                      : ('/usr/bin/xpra', 'start', ':22')
server.authenticator             : 
server.build.bit                 : 64bit
server.build.by                  : Debian
server.build.compiler            : gcc (Debian 5.3.1-13) 5.3.1 20160323
server.build.cpu                 : Generic CPU
server.build.cython              : 0.23.4
server.build.date                : 2016-03-27
server.build.lib.pygobject       : 2.28.6
server.build.lib.pygtk           : 2.24.0
server.build.lib.vpx             : 1.5.0
server.build.lib.x11             : 1.6.3
server.build.lib.x264            : 0.148.2643 5c65704
server.build.lib.xcomposite      : 0.4.4
server.build.lib.xdamage         : 1.1.4
server.build.lib.xext            : 1.3.3
server.build.lib.xfixes          : 5.0.1
server.build.lib.xkbfile         : 1.0.9
server.build.lib.xrandr          : 1.5.0
server.build.lib.xtst            : 1.2.2
server.build.linker              : GNU ld (GNU Binutils for Debian) 2.26
server.build.local_modifications : 0.16.3+dfsg-1
server.build.python              : 2.7.11
server.build.revision            : 12205
server.build.time                : 08:29
server.build.version             : 0.16.3
server.byteorder                 : little
server.cairo.version             : 1.8.8
server.display                   : :22
server.exec_prefix               : /usr
server.executable                : /usr/bin/python
server.fakeXinerama              : True
server.gdk.version               : 2.24.0
server.gid                       : 1000
server.glib.version              : (2, 48, 0)
server.gobject.version           : (2, 28, 6)
server.gtk.version               : (2, 24, 30)
server.hostname                  : deblab
server.idle-timeout              : 0
server.libfakeXinerama           : /usr/lib/xpra/libfakeXinerama.so.1.0
server.max_desktop_size          : (8192, 4096)
server.mode                      : X11
server.pango.version             : 1.38.1
server.path                      : ('/usr/bin', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/home/hawk/.local/lib/python2.7/site-packages', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/wx-3.0-gtk2')
server.pid                       : 215783
server.platform                  : linux2
server.platform.architecture     : ('64bit', 'ELF')
server.platform.linux_distribution : ('debian', 'stretch/sid', '')
server.platform.machine          : x86_64
server.platform.name             : Linux debian stretch/sid
server.platform.platform         : Linux-4.4.0-1-amd64-x86_64-with-debian-stretch-sid
server.platform.processor        : Intel(R) Core(TM) i7-4820K CPU @ 3.70GHz
server.platform.release          : 4.4.0-1-amd64
server.pyglib.version            : (2, 28, 6)
server.pygtk.version             : (2, 24, 0)
server.python.bits               : 64
server.python.full_version       : 2.7.11+ (default, Mar 30 2016, 21:00:42) \n[GCC 5.3.1 20160323]
server.python.version            : 2.7.11+
server.randr.options             : ((8192, 4096), (6400, 4096), (6400, 2560), (6400, 2160), (5760, 2160), (5680, 1440), (5496, 1200), (5280, 2560), (5280, 1920), (5280, 1200), (5280, 1080), (5120, 3200), (5120, 2880), (5120, 2560), (4800, 1200), (4720, 3840), (4480, 1440), (4400, 2560), (4240, 1440), (4160, 1440), (4096, 2304), (4096, 2160), (4000, 1660), (4000, 1440), (3904, 1440), (3864, 1050), (3840, 2880), (3840, 2560), (3840, 2160), (3840, 2048), (3840, 1200), (3840, 1080), (3600, 1200), (3600, 1080), (3520, 1196), (3360, 2560), (3360, 1050), (3288, 1080), (3200, 1800), (3200, 1080), (3120, 2560), (3120, 1050), (3072, 2560), (3008, 1692), (3000, 2560), (2728, 1680), (2560, 2240), (2560, 1600), (2560, 1440), (2560, 1400), (2048, 2048), (2048, 1536), (2048, 1152), (1920, 1440), (1920, 1200), (1920, 1080), (1856, 1392), (1792, 1344), (1728, 1520), (1680, 1050), (1600, 1200), (1600, 900), (1440, 900), (1400, 1050), (1400, 900), (1366, 768), (1360, 768), (1280, 1024), (1280, 960), (1280, 800), (1280, 768), (1280, 762), (1280, 720), (1280, 682), (1152, 864), (1024, 768), (1024, 730), (1024, 640), (1024, 600), (1024, 576), (1024, 562), (960, 720), (960, 540), (960, 536), (960, 498), (928, 696), (896, 672), (864, 486), (848, 480), (848, 442), (840, 525), (832, 624), (800, 1280), (800, 1242), (800, 600), (800, 562), (800, 480), (768, 1024), (768, 986), (720, 1280), (720, 1242), (720, 450), (720, 405), (720, 400), (700, 525), (680, 384), (640, 512), (640, 480), (640, 400), (640, 360), (640, 350), (600, 1024), (600, 986), (600, 800), (600, 762), (576, 432), (536, 960), (536, 922), (512, 384), (480, 854), (480, 810), (480, 800), (480, 762), (416, 312), (400, 300), (360, 200), (320, 240), (320, 200), (320, 175))
server.root_window_size          : (2560, 1440)
server.start_time                : 1460962482
server.type                      : Python/gtk/x11
server.uid                       : 1000
state.modifiers                  : ()
threads.0                        : MainThread
threads.1                        : encode
threads.2                        : Worker_Thread
threads.3                        : Info
threads.4                        : read
threads.count                    : 5
threads.frame[0].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_core.py', 904, 'in_thread', 'info = self.get_info(proto, *args)'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_base.py', 1578, 'get_info', 'info = ServerCore.get_info(self, proto)'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_core.py', 934, 'get_info', 'up("threads",   self.get_thread_info(proto))'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_base.py', 1573, 'get_thread_info', 'return get_thread_info(proto, list(self._server_sources.keys()))'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_core.py', 104, 'get_thread_info', 'stack = traceback.extract_stack(frame_pair[1])'))
threads.frame[0].thread          : info
threads.frame[1].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 287, '_write_format_thread_loop', 'self._source_has_more.wait()'), ('/usr/lib/python2.7/threading.py', 614, 'wait', 'self.__cond.wait(timeout)'), ('/usr/lib/python2.7/threading.py', 340, 'wait', 'waiter.acquire()'))
threads.frame[1].thread          : format
threads.frame[2].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 561, '_write_thread_loop', 'self._io_thread_loop("write", self._write)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 545, '_io_thread_loop', 'callback()'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 563, '_write', 'items = self._write_queue.get()'), ('/usr/lib/python2.7/Queue.py', 168, 'get', 'self.not_empty.wait()'), ('/usr/lib/python2.7/threading.py', 340, 'wait', 'waiter.acquire()'))
threads.frame[2].thread          : write
threads.frame[3].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/server/source.py', 2049, 'encode_loop', 'fn_and_args = self.encode_work_queue.get(True)'), ('/usr/lib/python2.7/Queue.py', 168, 'get', 'self.not_empty.wait()'), ('/usr/lib/python2.7/threading.py', 340, 'wait', 'waiter.acquire()'))
threads.frame[3].thread          : unknown
threads.frame[4].stack           : (('/usr/bin/xpra', 9, '<module>', 'sys.exit(main(sys.argv[0], sys.argv))'), ('/usr/lib/python2.7/dist-packages/xpra/scripts/main.py', 124, 'main', 'return run_mode(script_file, err, options, args, mode, defaults)'), ('/usr/lib/python2.7/dist-packages/xpra/scripts/main.py', 922, 'run_mode', 'return run_server(error_cb, options, mode, script_file, args)'), ('/usr/lib/python2.7/dist-packages/xpra/scripts/server.py', 1032, 'run_server', 'e = app.run()'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_base.py', 653, 'run', 'return ServerCore.run(self)'), ('/usr/lib/python2.7/dist-packages/xpra/server/server_core.py', 372, 'run', 'self.do_run()'), ('/usr/lib/python2.7/dist-packages/xpra/server/gtk_server_base.py', 63, 'do_run', 'gtk_main()'), ('/usr/lib/python2.7/dist-packages/xpra/gtk_common/gtk_util.py', 358, 'gtk_main', 'gtk.main()'))
threads.frame[4].thread          : main
threads.frame[5].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 592, '_read_thread_loop', 'self._io_thread_loop("read", self._read)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 545, '_io_thread_loop', 'callback()'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 594, '_read', 'buf = self._conn.read(READ_BUFFER_SIZE)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 235, 'read', 'return self._read(self._socket.recv, n)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 143, '_read', 'r = self.untilConcludes(*args)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 135, 'untilConcludes', 'return untilConcludes(self.is_active, *args)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 83, 'untilConcludes', 'return f(*a, **kw)'))
threads.frame[5].thread          : unknown
threads.frame[6].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/dist-packages/xpra/server/background_worker.py', 53, 'run', 'item = self.items.get()'), ('/usr/lib/python2.7/Queue.py', 168, 'get', 'self.not_empty.wait()'), ('/usr/lib/python2.7/threading.py', 340, 'wait', 'waiter.acquire()'))
threads.frame[6].thread          : worker
threads.frame[7].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 657, '_read_parse_thread_loop', 'self.do_read_parse_thread_loop()'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 683, 'do_read_parse_thread_loop', 'buf = self._read_queue.get()'), ('/usr/lib/python2.7/Queue.py', 168, 'get', 'self.not_empty.wait()'), ('/usr/lib/python2.7/threading.py', 340, 'wait', 'waiter.acquire()'))
threads.frame[7].thread          : parse
threads.frame[8].stack           : (('/usr/lib/python2.7/threading.py', 774, '__bootstrap', 'self.__bootstrap_inner()'), ('/usr/lib/python2.7/threading.py', 801, '__bootstrap_inner', 'self.run()'), ('/usr/lib/python2.7/threading.py', 754, 'run', 'self.__target(*self.__args, **self.__kwargs)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 592, '_read_thread_loop', 'self._io_thread_loop("read", self._read)'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 545, '_io_thread_loop', 'callback()'), ('/usr/lib/python2.7/dist-packages/xpra/net/protocol.py', 594, '_read', 'buf = self._conn.read(READ_BUFFER_SIZE)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 235, 'read', 'return self._read(self._socket.recv, n)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 143, '_read', 'r = self.untilConcludes(*args)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 135, 'untilConcludes', 'return untilConcludes(self.is_active, *args)'), ('/usr/lib/python2.7/dist-packages/xpra/net/bytestreams.py', 83, 'untilConcludes', 'return f(*a, **kw)'))
threads.frame[8].thread          : read
threads.info.count               : 4
threads.info[0]                  : write
threads.info[1]                  : read
threads.info[2]                  : parse
threads.info[3]                  : format
threads.memory.children.idrss    : 0
threads.memory.children.inblock  : 17888
threads.memory.children.isrss    : 0
threads.memory.children.ixrss    : 0
threads.memory.children.majflt   : 101
threads.memory.children.maxrss   : 69880
threads.memory.children.minflt   : 47761
threads.memory.children.msgrcv   : 0
threads.memory.children.msgsnd   : 0
threads.memory.children.nivcsw   : 159
threads.memory.children.nsignals : 0
threads.memory.children.nswap    : 0
threads.memory.children.nvcsw    : 1449
threads.memory.children.oublock  : 0
threads.memory.children.stime    : 0
threads.memory.children.utime    : 0
threads.memory.server.idrss      : 0
threads.memory.server.inblock    : 82424
threads.memory.server.isrss      : 0
threads.memory.server.ixrss      : 0
threads.memory.server.majflt     : 421
threads.memory.server.maxrss     : 577140
threads.memory.server.minflt     : 1199766
threads.memory.server.msgrcv     : 0
threads.memory.server.msgsnd     : 0
threads.memory.server.nivcsw     : 467999
threads.memory.server.nsignals   : 0
threads.memory.server.nswap      : 0
threads.memory.server.nvcsw      : 4388733
threads.memory.server.oublock    : 0
threads.memory.server.stime      : 31
threads.memory.server.utime      : 307
window-manager-name              : Xpra
window[110].XShm                 : True
window[110].above                : False
window[110].allowed-actions      : ('_NET_WM_ACTION_CLOSE', '_NET_WM_ACTION_MOVE', '_NET_WM_ACTION_RESIZE', '_NET_WM_ACTION_FULLSCREEN', '_NET_WM_ACTION_MINIMIZE', '_NET_WM_ACTION_SHADE', '_NET_WM_ACTION_STICK', '_NET_WM_ACTION_MAXIMIZE_HORZ', '_NET_WM_ACTION_MAXIMIZE_VERT', '_NET_WM_ACTION_CHANGE_DESKTOP', '_NET_WM_ACTION_ABOVE', '_NET_WM_ACTION_BELOW')
window[110].av-sync.current      : 0
window[110].av-sync.target       : 0
window[110].batch.actual_delay.90p : 0
window[110].batch.actual_delay.avg : 0
window[110].batch.actual_delay.cur : 3
window[110].batch.actual_delay.max : 3
window[110].batch.actual_delay.min : 0
window[110].batch.client-decode-speed : (70, 13)
window[110].batch.client-decode-speed.avg : 26
window[110].batch.client-decode-speed.recent : 82
window[110].batch.client-latency : (438, 21)
window[110].batch.client-latency.aim : 800
window[110].batch.client-latency.aimed_avg : 19270
window[110].batch.client-latency.avg : 187
window[110].batch.client-latency.div : 1000
window[110].batch.client-latency.recent : 823
window[110].batch.client-latency.smoothing : sqrt
window[110].batch.client-latency.target : 5
window[110].batch.client-latency.weight_multiplier : 119
window[110].batch.client-ping-latency : (49, 3)
window[110].batch.client-ping-latency.aim : 949
window[110].batch.client-ping-latency.aimed_avg : 247
window[110].batch.client-ping-latency.avg : 4
window[110].batch.client-ping-latency.div : 1000
window[110].batch.client-ping-latency.recent : 2
window[110].batch.client-ping-latency.smoothing : sqrt
window[110].batch.client-ping-latency.target : 5
window[110].batch.client-ping-latency.weight_multiplier : 55
window[110].batch.compression-work-queue : (11, 21)
window[110].batch.compression-work-queue.aim : 250
window[110].batch.compression-work-queue.aimed_avg : 258
window[110].batch.compression-work-queue.avg : 235
window[110].batch.compression-work-queue.div : 1000
window[110].batch.compression-work-queue.recent : 447
window[110].batch.compression-work-queue.smoothing : logp
window[110].batch.compression-work-queue.target : 1000
window[110].batch.compression-work-queue.weight_multiplier : 668
window[110].batch.damage-network-delay : (36, 227)
window[110].batch.damage-network-delay.avg : 42
window[110].batch.damage-network-delay.recent : 44
window[110].batch.damage-packet-queue-pixels : (8, 11)
window[110].batch.damage-packet-queue-pixels.aim : 250
window[110].batch.damage-packet-queue-pixels.aimed_avg : 6
window[110].batch.damage-packet-queue-pixels.avg : 21652482
window[110].batch.damage-packet-queue-pixels.div : 1642680000
window[110].batch.damage-packet-queue-pixels.recent : 11078224
window[110].batch.damage-packet-queue-pixels.smoothing : sqrt
window[110].batch.damage-packet-queue-pixels.target : 1000
window[110].batch.damage-packet-queue-pixels.weight_multiplier : 114
window[110].batch.damage-rate    : (19, 89)
window[110].batch.damage-rate.elapsed : 1003
window[110].batch.damage-rate.max_latency : 100
window[110].batch.delay.50p      : 0
window[110].batch.delay.80p      : 0
window[110].batch.delay.90p      : 0
window[110].batch.delay.avg      : 0
window[110].batch.delay.cur      : 0
window[110].batch.delay.max      : 0
window[110].batch.delay.min      : 0
window[110].batch.focus          : (100, 0)
window[110].batch.focus.has_focus : False
window[110].batch.fullscreen     : (0, 0)
window[110].batch.fullscreen.other_is_fullscreen : False
window[110].batch.locked         : False
window[110].batch.max-delay      : 500
window[110].batch.maximized      : (0, 0)
window[110].batch.maximized.other_is_maximized : False
window[110].batch.min-delay      : 5
window[110].batch.network-send-speed : (57, 43)
window[110].batch.network-send-speed.avg : 1
window[110].batch.network-send-speed.recent : 2
window[110].batch.override-redirect : (100, 0)
window[110].batch.override-redirect.is_OR : False
window[110].batch.packet-queue-pixels : (8, 11)
window[110].batch.packet-queue-pixels.aim : 250
window[110].batch.packet-queue-pixels.aimed_avg : 6
window[110].batch.packet-queue-pixels.avg : 21652419
window[110].batch.packet-queue-pixels.div : 1642680000
window[110].batch.packet-queue-pixels.recent : 11077436
window[110].batch.packet-queue-pixels.smoothing : sqrt
window[110].batch.packet-queue-pixels.target : 1000
window[110].batch.packet-queue-pixels.weight_multiplier : 114
window[110].batch.packet-queue-size : (51, 46)
window[110].batch.packet-queue-size.aim : 250
window[110].batch.packet-queue-size.aimed_avg : 261
window[110].batch.packet-queue-size.avg : 221
window[110].batch.packet-queue-size.div : 1000
window[110].batch.packet-queue-size.recent : 450
window[110].batch.packet-queue-size.smoothing : sqrt
window[110].batch.packet-queue-size.target : 1000
window[110].batch.packet-queue-size.weight_multiplier : 671
window[110].batch.server-ping-latency : (31, 3)
window[110].batch.server-ping-latency.aim : 949
window[110].batch.server-ping-latency.aimed_avg : 96
window[110].batch.server-ping-latency.avg : 3
window[110].batch.server-ping-latency.div : 1000
window[110].batch.server-ping-latency.recent : 0
window[110].batch.server-ping-latency.smoothing : sqrt
window[110].batch.server-ping-latency.target : 4
window[110].batch.server-ping-latency.weight_multiplier : 47
window[110].batch.soft-expired   : (0, 0)
window[110].batch.soft-expired.count : 0
window[110].batch.timeout-delay  : 15000
window[110].below                : False
window[110].bypass-compositor    : 0
window[110].class-instance       : ('kmail', 'kmail2')
window[110].client-geometry      : (298, 62, 1620, 1014)
window[110].client-machine       : deblab
window[110].command              : 
window[110].damage.events        : 3111
window[110].damage.in_latency.90p : 12
window[110].damage.in_latency.avg : 4
window[110].damage.in_latency.cur : 12
window[110].damage.in_latency.max : 41
window[110].damage.in_latency.min : 0
window[110].damage.out_latency.90p : 15
window[110].damage.out_latency.avg : 5
window[110].damage.out_latency.cur : 16
window[110].damage.out_latency.max : 41
window[110].damage.out_latency.min : 0
window[110].damage.packets_sent  : 3092
window[110].decorations          : 126
window[110].dimensions           : (1620, 1014)
window[110].encoder              : x264
window[110].encoder.buffer_api   : 1
window[110].encoder.bytes_in     : 1047504
window[110].encoder.bytes_out    : 87604
window[110].encoder.formats      : ('YUV422P', 'RGB', 'BGRX', 'BGR', 'YUV420P', 'BGRA', 'YUV444P')
window[110].encoder.frames       : 1
window[110].encoder.height       : 942
window[110].encoder.lossless     : False
window[110].encoder.max-size     : (8192, 4096)
window[110].encoder.opencl       : False
window[110].encoder.pixels_per_second : 14947302
window[110].encoder.preset       : fast
window[110].encoder.profile      : high444
window[110].encoder.quality      : 50
window[110].encoder.ratio_pct    : 8
window[110].encoder.speed        : 50
window[110].encoder.src_format   : BGRX
window[110].encoder.total_time_ms : 17
window[110].encoder.version      : 148
window[110].encoder.width        : 278
window[110].encoding             : h264
window[110].encoding.delta       : ('png', 'rgb24', 'rgb32')
window[110].encoding.delta.buckets : 5
window[110].encoding.full-frames-only : False
window[110].encoding.last_used   : webp
window[110].encoding.lossless_threshold.base : 20
window[110].encoding.lossless_threshold.pixel_boost : 90
window[110].encoding.mmap        : True
window[110].encoding.pipeline_last_check : 77539
window[110].encoding.pipeline_option[0].csc : None
window[110].encoding.pipeline_option[0].encoder : video_spec(x264)
window[110].encoding.pipeline_option[0].encoder.height : 942
window[110].encoding.pipeline_option[0].encoder.scaling : (1, 1)
window[110].encoding.pipeline_option[0].encoder.width : 278
window[110].encoding.pipeline_option[0].format : BGRX
window[110].encoding.pipeline_option[0].scaling : (1, 1)
window[110].encoding.pipeline_option[0].score : 72
window[110].encoding.pipeline_option[1].csc : video_spec(swscale)
window[110].encoding.pipeline_option[1].csc.height : 942
window[110].encoding.pipeline_option[1].csc.scaling : (1, 1)
window[110].encoding.pipeline_option[1].csc.width : 278
window[110].encoding.pipeline_option[1].encoder : video_spec(x264)
window[110].encoding.pipeline_option[1].encoder.height : 942
window[110].encoding.pipeline_option[1].encoder.scaling : (1, 1)
window[110].encoding.pipeline_option[1].encoder.width : 278
window[110].encoding.pipeline_option[1].format : YUV420P
window[110].encoding.pipeline_option[1].scaling : (1, 1)
window[110].encoding.pipeline_option[1].score : 69
window[110].encoding.pipeline_option[2].csc : video_spec(swscale)
window[110].encoding.pipeline_option[2].csc.height : 942
window[110].encoding.pipeline_option[2].csc.scaling : (1, 1)
window[110].encoding.pipeline_option[2].csc.width : 278
window[110].encoding.pipeline_option[2].encoder : video_spec(x264)
window[110].encoding.pipeline_option[2].encoder.height : 942
window[110].encoding.pipeline_option[2].encoder.scaling : (1, 1)
window[110].encoding.pipeline_option[2].encoder.width : 278
window[110].encoding.pipeline_option[2].format : YUV422P
window[110].encoding.pipeline_option[2].scaling : (1, 1)
window[110].encoding.pipeline_option[2].score : 67
window[110].encoding.pipeline_option[3].csc : video_spec(swscale)
window[110].encoding.pipeline_option[3].csc.height : 942
window[110].encoding.pipeline_option[3].csc.scaling : (1, 1)
window[110].encoding.pipeline_option[3].csc.width : 278
window[110].encoding.pipeline_option[3].encoder : video_spec(x264)
window[110].encoding.pipeline_option[3].encoder.height : 942
window[110].encoding.pipeline_option[3].encoder.scaling : (1, 1)
window[110].encoding.pipeline_option[3].encoder.width : 278
window[110].encoding.pipeline_option[3].format : YUV444P
window[110].encoding.pipeline_option[3].scaling : (1, 1)
window[110].encoding.pipeline_option[3].score : 67
window[110].encoding.pipeline_option[4].csc : video_spec(swscale)
window[110].encoding.pipeline_option[4].csc.height : 942
window[110].encoding.pipeline_option[4].csc.scaling : (1, 1)
window[110].encoding.pipeline_option[4].csc.width : 278
window[110].encoding.pipeline_option[4].encoder : video_spec(x264)
window[110].encoding.pipeline_option[4].encoder.height : 942
window[110].encoding.pipeline_option[4].encoder.scaling : (1, 1)
window[110].encoding.pipeline_option[4].encoder.width : 278
window[110].encoding.pipeline_option[4].format : RGB
window[110].encoding.pipeline_option[4].scaling : (1, 1)
window[110].encoding.pipeline_option[4].score : 57
window[110].encoding.pipeline_option[5].csc : video_spec(cython)
window[110].encoding.pipeline_option[5].csc.height : 942
window[110].encoding.pipeline_option[5].csc.scaling : (1, 1)
window[110].encoding.pipeline_option[5].csc.width : 278
window[110].encoding.pipeline_option[5].encoder : video_spec(x264)
window[110].encoding.pipeline_option[5].encoder.height : 942
window[110].encoding.pipeline_option[5].encoder.scaling : (1, 1)
window[110].encoding.pipeline_option[5].encoder.width : 278
window[110].encoding.pipeline_option[5].format : YUV420P
window[110].encoding.pipeline_option[5].scaling : (1, 1)
window[110].encoding.pipeline_option[5].score : 53
window[110].encoding.pipeline_param.dimensions : (278, 942)
window[110].encoding.pipeline_param.encoding : h264
window[110].encoding.pipeline_param.src_format : BGRX
window[110].encoding.pixels_encoded_per_second : 24110286
window[110].encoding.pixels_encoded_per_second[h264] : 19751604
window[110].encoding.pixels_encoded_per_second[mmap] : 90743425
window[110].encoding.pixels_encoded_per_second[png] : 13077533
window[110].encoding.pixels_encoded_per_second[rgb24] : 6370284
window[110].encoding.pixels_encoded_per_second[webp] : 9323388
window[110].encoding.pixels_per_ns.avg : 41
window[110].encoding.pixels_per_ns.max : 464
window[110].encoding.pixels_per_ns.min : 8
window[110].encoding.pixels_per_ns[h264].avg : 50
window[110].encoding.pixels_per_ns[h264].max : 154
window[110].encoding.pixels_per_ns[h264].min : 24
window[110].encoding.pixels_per_ns[mmap].avg : 11
window[110].encoding.pixels_per_ns[mmap].max : 57
window[110].encoding.pixels_per_ns[mmap].min : 8
window[110].encoding.pixels_per_ns[png].avg : 76
window[110].encoding.pixels_per_ns[png].max : 134
window[110].encoding.pixels_per_ns[png].min : 34
window[110].encoding.pixels_per_ns[rgb24].avg : 156
window[110].encoding.pixels_per_ns[rgb24].max : 464
window[110].encoding.pixels_per_ns[rgb24].min : 79
window[110].encoding.pixels_per_ns[webp].avg : 107
window[110].encoding.pixels_per_ns[webp].max : 128
window[110].encoding.pixels_per_ns[webp].min : 95
window[110].encoding.ratio_pct.avg : 0
window[110].encoding.ratio_pct.max : 20
window[110].encoding.ratio_pct.min : 0
window[110].encoding.ratio_pct[h264].avg : 1
window[110].encoding.ratio_pct[h264].max : 11
window[110].encoding.ratio_pct[h264].min : 0
window[110].encoding.ratio_pct[mmap].avg : 0
window[110].encoding.ratio_pct[mmap].max : 0
window[110].encoding.ratio_pct[mmap].min : 0
window[110].encoding.ratio_pct[png].avg : 3
window[110].encoding.ratio_pct[png].max : 4
window[110].encoding.ratio_pct[png].min : 0
window[110].encoding.ratio_pct[rgb24].avg : 6
window[110].encoding.ratio_pct[rgb24].max : 20
window[110].encoding.ratio_pct[rgb24].min : 3
window[110].encoding.ratio_pct[webp].avg : 0
window[110].encoding.ratio_pct[webp].max : 0
window[110].encoding.ratio_pct[webp].min : 0
window[110].encoding.rgb_threshold : 2560
window[110].encoding.selection   : encoding_is_mmap
window[110].encoding.supports-transparency : False
window[110].encodings            : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb', 'jpeg', 'h265')
window[110].encodings.auto-refresh : ('webp', 'jpeg', 'rgb24', 'png', 'rgb32')
window[110].encodings.core       : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb24', 'jpeg', 'h265', 'rgb32', 'rgb')
window[110].encodings.edge       : rgb24
window[110].encodings.non-video  : ('png', 'png/P', 'png/L', 'webp', 'rgb24', 'rgb32', 'jpeg')
window[110].encodings.rgb_formats : ('RGB', 'RGBX')
window[110].focused              : 0
window[110].frame                : (2, 2, 24, 2)
window[110].fullscreen           : False
window[110].geometry             : (298, 62, 1620, 1014)
window[110].grabbed              : 0
window[110].icon-title           : 
window[110].icon.bytes           : 65536
window[110].icon.height          : 128
window[110].icon.stride          : 512
window[110].icon.width           : 128
window[110].icons.greedy         : 1
window[110].icons.max_size       : (128, 128)
window[110].icons.size           : (64, 64)
window[110].maximized            : False
window[110].menu                 : {}
window[110].override-redirect    : False
window[110].pid                  : 255015
window[110].pixel-format         : BGRX
window[110].property.fullscreen  : False
window[110].property.min_quality : 30
window[110].property.min_speed   : 0
window[110].property.quality     : 0
window[110].property.scaling     : (1, 1)
window[110].property.scaling.control : 1
window[110].property.speed       : 0
window[110].scaling              : (1, 1)
window[110].shaded               : False
window[110].shape                : {}
window[110].shown                : True
window[110].size                 : (1620, 1014)
window[110].size-constraints.gravity : 10
window[110].size-constraints.minimum-size : (557, 420)
window[110].size-constraints.size : (1620, 1014)
window[110].skip-pager           : False
window[110].skip-taskbar         : False
window[110].state                : ()
window[110].sticky               : False
window[110].strut                : {}
window[110].suspended            : False
window[110].title                : Local Folders/inbox/@Libre — KMail
window[110].total_frames[h264]   : 23
window[110].total_frames[mmap]   : 3020
window[110].total_frames[png]    : 22
window[110].total_frames[rgb24]  : 24
window[110].total_frames[webp]   : 3
window[110].total_pixels[h264]   : 6024090
window[110].total_pixels[mmap]   : 67761181
window[110].total_pixels[png]    : 132964
window[110].total_pixels[rgb24]  : 25092
window[110].total_pixels[webp]   : 106920
window[110].tray                 : False
window[110].video_subregion.counter : 3111
window[110].video_subregion.height : 942
window[110].video_subregion.non_max_wait : 150
window[110].video_subregion.non_waited : 0
window[110].video_subregion.set_at : 3101
window[110].video_subregion.time : 1461054631
window[110].video_subregion.width : 279
window[110].video_subregion.x    : 1
window[110].video_subregion.y    : 49
window[110].window-type          : ('NORMAL',)
window[110].workspace            : 0
window[110].xid                  : 0x600004
window[8].XShm                   : True
window[8].allowed-actions        : ()
window[8].av-sync.current        : 0
window[8].av-sync.target         : 0
window[8].batch.actual_delay.90p : 53
window[8].batch.actual_delay.avg : 28
window[8].batch.actual_delay.cur : 53
window[8].batch.actual_delay.max : 53
window[8].batch.actual_delay.min : 5
window[8].batch.client-decode-speed : (39, 27)
window[8].batch.client-decode-speed.avg : 39
window[8].batch.client-decode-speed.recent : 47
window[8].batch.client-latency   : (68, 6)
window[8].batch.client-latency.aim : 800
window[8].batch.client-latency.aimed_avg : 466
window[8].batch.client-latency.avg : 47
window[8].batch.client-latency.div : 1000
window[8].batch.client-latency.recent : 13
window[8].batch.client-latency.smoothing : sqrt
window[8].batch.client-latency.target : 5
window[8].batch.client-latency.weight_multiplier : 120
window[8].batch.client-ping-latency : (100, 1)
window[8].batch.client-ping-latency.aim : 949
window[8].batch.client-ping-latency.aimed_avg : 1011
window[8].batch.client-ping-latency.avg : 162
window[8].batch.client-ping-latency.div : 1000
window[8].batch.client-ping-latency.recent : 139
window[8].batch.client-ping-latency.smoothing : sqrt
window[8].batch.client-ping-latency.target : 26
window[8].batch.client-ping-latency.weight_multiplier : 215
window[8].batch.compression-work-queue : (0, 0)
window[8].batch.compression-work-queue.aim : 250
window[8].batch.compression-work-queue.aimed_avg : 0
window[8].batch.compression-work-queue.avg : 0
window[8].batch.compression-work-queue.div : 1000
window[8].batch.compression-work-queue.recent : 0
window[8].batch.compression-work-queue.smoothing : logp
window[8].batch.compression-work-queue.target : 1000
window[8].batch.compression-work-queue.weight_multiplier : 0
window[8].batch.damage-network-delay : (27, 314)
window[8].batch.damage-network-delay.avg : 60
window[8].batch.damage-network-delay.recent : 44
window[8].batch.damage-packet-queue-pixels : (18, 37)
window[8].batch.damage-packet-queue-pixels.aim : 250
window[8].batch.damage-packet-queue-pixels.aimed_avg : 32
window[8].batch.damage-packet-queue-pixels.avg : 69904
window[8].batch.damage-packet-queue-pixels.div : 400000
window[8].batch.damage-packet-queue-pixels.recent : 13697
window[8].batch.damage-packet-queue-pixels.smoothing : sqrt
window[8].batch.damage-packet-queue-pixels.target : 1000
window[8].batch.damage-packet-queue-pixels.weight_multiplier : 418
window[8].batch.damage-rate      : (100, 0)
window[8].batch.damage-rate.elapsed : 170
window[8].batch.damage-rate.max_latency : 100
window[8].batch.delay.50p        : 50
window[8].batch.delay.80p        : 50
window[8].batch.delay.90p        : 50
window[8].batch.delay.avg        : 25
window[8].batch.delay.cur        : 50
window[8].batch.delay.max        : 50
window[8].batch.delay.min        : 1
window[8].batch.focus            : (100, 0)
window[8].batch.focus.has_focus  : False
window[8].batch.fullscreen       : (0, 0)
window[8].batch.fullscreen.other_is_fullscreen : False
window[8].batch.locked           : False
window[8].batch.max-delay        : 500
window[8].batch.maximized        : (0, 0)
window[8].batch.maximized.other_is_maximized : False
window[8].batch.min-delay        : 5
window[8].batch.network-send-speed : (37, 82)
window[8].batch.network-send-speed.avg : 11
window[8].batch.network-send-speed.recent : 13
window[8].batch.override-redirect : (100, 0)
window[8].batch.override-redirect.is_OR : False
window[8].batch.packet-queue-pixels : (6, 16)
window[8].batch.packet-queue-pixels.aim : 250
window[8].batch.packet-queue-pixels.aimed_avg : 4
window[8].batch.packet-queue-pixels.avg : 11417
window[8].batch.packet-queue-pixels.div : 400000
window[8].batch.packet-queue-pixels.recent : 1739
window[8].batch.packet-queue-pixels.smoothing : sqrt
window[8].batch.packet-queue-pixels.target : 1000
window[8].batch.packet-queue-pixels.weight_multiplier : 168
window[8].batch.packet-queue-size : (10, 31)
window[8].batch.packet-queue-size.aim : 250
window[8].batch.packet-queue-size.aimed_avg : 10
window[8].batch.packet-queue-size.avg : 111
window[8].batch.packet-queue-size.div : 1000
window[8].batch.packet-queue-size.recent : 17
window[8].batch.packet-queue-size.smoothing : sqrt
window[8].batch.packet-queue-size.target : 1000
window[8].batch.packet-queue-size.weight_multiplier : 334
window[8].batch.server-ping-latency : (98, 9)
window[8].batch.server-ping-latency.aim : 949
window[8].batch.server-ping-latency.aimed_avg : 962
window[8].batch.server-ping-latency.avg : 134
window[8].batch.server-ping-latency.div : 1000
window[8].batch.server-ping-latency.recent : 134
window[8].batch.server-ping-latency.smoothing : sqrt
window[8].batch.server-ping-latency.target : 138
window[8].batch.server-ping-latency.weight_multiplier : 664
window[8].batch.soft-expired     : (0, 0)
window[8].batch.soft-expired.count : 0
window[8].batch.timeout-delay    : 15000
window[8].client-machine         : deblab
window[8].command                : 
window[8].damage.events          : 10
window[8].damage.in_latency.90p  : 3
window[8].damage.in_latency.avg  : 0
window[8].damage.in_latency.cur  : 0
window[8].damage.in_latency.max  : 3
window[8].damage.in_latency.min  : 0
window[8].damage.out_latency.90p : 91
window[8].damage.out_latency.avg : 28
window[8].damage.out_latency.cur : 0
window[8].damage.out_latency.max : 91
window[8].damage.out_latency.min : 0
window[8].damage.packets_sent    : 6
window[8].dimensions             : (20, 20)
window[8].encoding               : h264
window[8].encoding.delta         : ()
window[8].encoding.delta.buckets : 0
window[8].encoding.full-frames-only : True
window[8].encoding.last_used     : rgb32
window[8].encoding.lossless_threshold.base : 85
window[8].encoding.lossless_threshold.pixel_boost : 20
window[8].encoding.mmap          : True
window[8].encoding.pipeline_last_check : 272958
window[8].encoding.pipeline_option[0].csc : None
window[8].encoding.pipeline_option[0].encoder : video_spec(x264)
window[8].encoding.pipeline_option[0].encoder.height : 200
window[8].encoding.pipeline_option[0].encoder.scaling : (1, 1)
window[8].encoding.pipeline_option[0].encoder.width : 200
window[8].encoding.pipeline_option[0].format : BGRA
window[8].encoding.pipeline_option[0].scaling : (1, 1)
window[8].encoding.pipeline_option[0].score : 69
window[8].encoding.pipeline_param.dimensions : (200, 200)
window[8].encoding.pipeline_param.encoding : h264
window[8].encoding.pipeline_param.src_format : BGRA
window[8].encoding.pixels_encoded_per_second : 30358230
window[8].encoding.pixels_encoded_per_second[jpeg] : 57397249
window[8].encoding.pixels_encoded_per_second[rgb32] : 3809673
window[8].encoding.pixels_per_ns.avg : 32
window[8].encoding.pixels_per_ns.max : 329
window[8].encoding.pixels_per_ns.min : 17
window[8].encoding.pixels_per_ns[jpeg].avg : 17
window[8].encoding.pixels_per_ns[jpeg].max : 17
window[8].encoding.pixels_per_ns[jpeg].min : 17
window[8].encoding.pixels_per_ns[rgb32].avg : 262
window[8].encoding.pixels_per_ns[rgb32].max : 329
window[8].encoding.pixels_per_ns[rgb32].min : 216
window[8].encoding.ratio_pct.avg : 4
window[8].encoding.ratio_pct.max : 89
window[8].encoding.ratio_pct.min : 0
window[8].encoding.ratio_pct[jpeg].avg : 0
window[8].encoding.ratio_pct[jpeg].max : 0
window[8].encoding.ratio_pct[jpeg].min : 0
window[8].encoding.ratio_pct[rgb32].avg : 69
window[8].encoding.ratio_pct[rgb32].max : 89
window[8].encoding.ratio_pct[rgb32].min : 65
window[8].encoding.rgb_threshold : 7680
window[8].encoding.selection     : encoding_is_mmap
window[8].encoding.supports-transparency : True
window[8].encodings              : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb', 'jpeg', 'h265')
window[8].encodings.auto-refresh : ('webp', 'jpeg', 'rgb24', 'png', 'rgb32')
window[8].encodings.core         : ('h264', 'vp9', 'vp8', 'png', 'png/P', 'png/L', 'webp', 'rgb24', 'jpeg', 'h265', 'rgb32', 'rgb')
window[8].encodings.edge         : rgb24
window[8].encodings.non-video    : ('png', 'png/P', 'png/L', 'webp', 'rgb24', 'rgb32', 'jpeg')
window[8].encodings.rgb_formats  : ('RGBA', 'RGB', 'RGBX')
window[8].focused                : 0
window[8].geometry               : (2193, 2, 20, 20)
window[8].grabbed                : 0
window[8].has-alpha              : True
window[8].icons.greedy           : 1
window[8].icons.max_size         : (128, 128)
window[8].icons.size             : (64, 64)
window[8].override-redirect      : False
window[8].pid                    : 215783
window[8].pixel-format           : BGRA
window[8].property.fullscreen    : False
window[8].property.min_quality   : 30
window[8].property.min_speed     : 0
window[8].property.quality       : 0
window[8].property.scaling       : (1, 1)
window[8].property.scaling.control : 1
window[8].property.speed         : 0
window[8].scaling                : (1, 1)
window[8].shape                  : {}
window[8].shown                  : True
window[8].size                   : (20, 20)
window[8].state                  : ('WM_DELETE_WINDOW', 'WM_TAKE_FOCUS', '_NET_WM_PING', '_NET_WM_SYNC_REQUEST')
window[8].suspended              : False
window[8].title                  : kaccessibleapp
window[8].total_frames[jpeg]     : 1
window[8].total_frames[rgb32]    : 5
window[8].total_pixels[jpeg]     : 40000
window[8].total_pixels[rgb32]    : 2704
window[8].tray                   : True
window[8].xid                    : 0x400095
windows                          : 2
Version 0, edited 5 years ago by onlyjob (next)

Changed 5 years ago by Antoine Martin

Attachment: bug-report.txt added

moving the large bug report data to an attachment

comment:7 Changed 5 years ago by Antoine Martin

From the bug report data, I see that mmap IS enabled but that video region detection kicked in, so we used a video encoding for that region. r12439 disables video region detection when mmap is in use (since it isn't needed or helpful), does it help?
Maybe region detection is more aggressive in 0.16.x - it shouldn't be. Or maybe the application just repaints too much, more likely.

Related tickets: #967, #410, #596.

comment:8 Changed 5 years ago by onlyjob

Resolution: fixed
Status: newclosed

Yay, Antoine, r12439 works perfectly: I can't reproduce the problem any more and it seems to work faster. :) Very happy. :)

I did not expect that you'd be able to spot anything useful in debug info as I could see the issue only during scrolling (which I was not doing when I took bug report dump). Duly noted for the future.

Thanks very much!

comment:9 Changed 5 months ago by migration script

this ticket has been moved to: https://github.com/Xpra-org/xpra/issues/1175

Note: See TracTickets for help on using tickets.